Loading...
Searching...
No Matches
quadraturerules.hh File Reference
`#include <algorithm>`
`#include <iostream>`
`#include <limits>`
`#include <mutex>`
`#include <utility>`
`#include <vector>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/stdstreams.hh>`
`#include <dune/common/stdthread.hh>`
`#include <dune/common/visibility.hh>`
`#include <dune/geometry/type.hh>`
`#include <dune/geometry/typeindex.hh>`
`#include "quadraturerules/pointquadrature.hh"`
`#include "quadraturerules/gausslobattoquadrature.hh"`
`#include "quadraturerules/gaussquadrature.hh"`
`#include "quadraturerules/gaussradauleftquadrature.hh"`
`#include "quadraturerules/gaussradaurightquadrature.hh"`
`#include "quadraturerules/jacobi1quadrature.hh"`
`#include "quadraturerules/jacobi2quadrature.hh"`
`#include "quadraturerules/jacobiNquadrature.hh"`
`#include "quadraturerules/prismquadrature.hh"`
`#include "quadraturerules/simplexquadrature.hh"`
`#include "quadraturerules/tensorproductquadrature.hh"`

Go to the source code of this file.

## Classes

struct | std::tuple_size< Dune::QuadraturePoint< ct, dim > >
struct | std::tuple_element< 0, Dune::QuadraturePoint< ct, dim > >
struct | std::tuple_element< 1, Dune::QuadraturePoint< ct, dim > >
class | Dune::QuadratureOrderOutOfRange
| Exception thrown if a desired QuadratureRule is not available, because the requested order is to high. More...
class | Dune::QuadraturePoint< ct, dim >
| Single evaluation point in a quadrature rule. More...
class | Dune::QuadratureRule< ct, dim >
| Abstract base class for quadrature rules. More...
class | Dune::QuadratureRules< ctype, dim >
| A container for all quadrature rules of dimension dim. More...
class | Dune::QuadratureRuleFactory< ctype, dim >
| Factory class for creation of quadrature rules, depending on GeometryType, order and QuadratureType. More...
class | Dune::QuadratureRuleFactory< ctype, 0 >
class | Dune::QuadratureRuleFactory< ctype, 1 >
class | Dune::QuadratureRuleFactory< ctype, 2 >
class | Dune::QuadratureRuleFactory< ctype, 3 >

## Namespaces

namespace | Dune
namespace | std
| STL namespace.
namespace | Dune::QuadratureType
| Defines an `enum` for currently available quadrature rules.

## Macros

#define | DUNE_INCLUDING_IMPLEMENTATION

## Enumerations

enum | Dune::QuadratureType::Enum { Dune::QuadratureType::GaussLegendre = 0 , Dune::QuadratureType::GaussJacobi_1_0 = 1 , Dune::QuadratureType::GaussJacobi_2_0 = 2 , Dune::QuadratureType::GaussJacobi_n_0 = 3 , Dune::QuadratureType::GaussLobatto = 4 , Dune::QuadratureType::GaussRadauLeft = 5 , Dune::QuadratureType::GaussRadauRight = 6 , Dune::QuadratureType::size }

## Detailed Description

Interface for quadrature points and rules

## Macro Definition Documentation

## DUNE_INCLUDING_IMPLEMENTATION

#define DUNE_INCLUDING_IMPLEMENTATION